Subject: Found a fix that works for me

From: "Cott, Justin Jerome" <[email-masked]>
Date: Wed, 24 Apr 2024 15:11:15 +0200

So after some more wasted time I changed the compression method from 
16m-jpeg to 64k-rdp-compressed.

After that the issue was solved for me and i could resume exisiting x2go 
sessions seamlessly.

How that is related to the occuring issue i have not the slightest idea, 
but thank god i found a solution. Hopefully any other person who 
struggles with this finds my tip and can save some time to get it back 
working.